ranges::views::take_last_base_fn Struct Reference
Inheritance diagram for ranges::views::take_last_base_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | a (requires ` viewable_range< Rng > &&sized_range< Rng >) aaauto operator()(Rng &&rng
return | drop_exactly (static_cast< Rng && >(rng), sz > n ? sz - n :0)

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n ranges::views::take_last_base_fn::const

Initial value:
{
auto sz = ranges::distance(rng)
ranges::distance
constexpr distance_fn distance
Definition: operations.hpp:584